### Interface

# Hitaki TascamProtocol

#### Description [src]

    interface Hitaki.TascamProtocol : GObject.Object

An interface for protocol of TASCAM FireWire series. TASCAM FireWire series transfer image of device state by either isochronous or asynchronous packets. The `HitakiTascamProtocol` is an object interface for the image and the change of state in the TASCAM FireWire protocol.

#### Prerequisite

In order to implement TascamProtocol, your type must inherit from`GObject`.

#### Implementations

- HitakiSndTascam

#### Instance methods

###### hitaki_tascam_protocol_read_state

Read the latest image of device state.

#### Signals

###### Hitaki.TascamProtocol::changed

Emitted when the part of image differed for the change of device state.

#### Interface structure

    struct HitakiTascamProtocolInterface {
      GTypeInterface iface;
      gboolean (* read_state) (
        HitakiTascamProtocol* self,
        guint32* const* state,
        gsize* count,
        GError** error
      );
      void (* changed) (
        HitakiTascamProtocol* self,
        guint index,
        guint before,
        guint after
      );

    }

No description available.

###### Interface members

`iface`

    GTypeInterface

| No description available.

`read_state`

    gboolean (* read_state) (
        HitakiTascamProtocol* self,
        guint32* const* state,
        gsize* count,
        GError** error
      )

| No description available.

`changed`

    void (* changed) (
        HitakiTascamProtocol* self,
        guint index,
        guint before,
        guint after
      )

| No description available.

#### Virtual methods

###### Hitaki.TascamProtocol.changed

Class closure for the `HitakiTascamProtocol::changed` signal.

###### Hitaki.TascamProtocol.read_state

Read the latest image of device state.